<?php

class Item extends View {

	private $item;

	public function __construct() {
		global $def;
		$data = new Data($def['subj']);
		$item = $data->get_item();
		$this->item = $item;
		
		$this->View($data);
	}
	
	public function out() {
		global $def;
		$title = $this->item['title'];
		$subj = $def['subj'];
		
		$menu = $this->build_menu();
		$item = $this->build_item();
		include $def['lib'] . '/view/' . __CLASS__ . '.tpl.php';
	}
	
	public function build_item() {
		global $def;
		$tpl = $def['templates'];
		
		$item = $this->item;
		$str = '';
		
		foreach($item['item'] as $name => $it) {
			$html = printf_e($tpl['strong'], $it[1]) . ': ' . def_e($it[0]);
			$str .= sprintf($tpl['p'], $html);
		}
		$img = 'img/' . $def['id'] . '.gif';
		
		if (file_exists($def['site_path'] . '/' . $img))
			$str .= sprintf($tpl['img'], $img);
		
		return $str;
	}
	
}